at.chipkarte.client.muhi.soap.constants

## Class MuhiExceptionConstants

- Object
- - at.chipkarte.client.muhi.soap.constants.MuhiExceptionConstants

-     public class MuhiExceptionConstants
      extends Object

  Fachliche Fehlerkonstanten von MUHI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABS_VERBOT_TOO_EARLY` Für die Patientin kann derzeit kein absolutes Beschäftigungsverbot eingemeldet werden, weil der voraussichtliche Geburtstermin mehr als 12 Wochen in der Zukunft liegt.
    `static int` | `ACCESS_FORBIDDEN` Sie dürfen die angegebene Meldung nicht lesen oder verändern, da sie nicht von Ihnen erstellt wurde.
    `static int` | `ADRESSE_REQUIRED` Adresse ist ein Pflichtfeld.
    `static int` | `ALREADY_CANCELLED` Die Meldung kann nicht storniert werden, da sie bereits storniert ist.
    `static int` | `ART_INVALID` Der Wert in Art ist ungültig.
    `static int` | `BEGRUENDUNG_INVALID` Der Wert in Begründung ist ungültig.
    `static int` | `BEGRUENDUNG_INVALID_FOR_VORDATIERUNG` Der Wert in Begründung ist ungültig (Der gewählte Wert ist bei Vordatierung nicht zulässig).
    `static int` | `BEGRUENDUNG_INVALID2` Der Wert in Begründung ist ungültig (Der gewählte Wert ist erst ab der 20.
    `static int` | `BEGRUENDUNG_REQUIRED` Begründung ist ein Pflichtfeld.
    `static int` | `BEGRUENDUNG_VORDATIERUNG_FORBIDDEN` Die Angabe von Begründung Vordatierung ist nicht erlaubt (Es liegt keine Vordatierung vor).
    `static int` | `BEGRUENDUNG_VORDATIERUNG_FORMAT` Das Format von Begründung Vordatierung ist ungültig.
    `static int` | `BEGRUENDUNG_VORDATIERUNG_REQUIRED` Begründung Vordatierung ist ein Pflichtfeld (die Meldung wurde vordatiert).
    `static int` | `DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_INVALID` Der Wert in Dauer individuelles Beschäftigungsverbot ist ungültig (Der Wert muss zwischen 1 und 40 liegen).
    `static int` | `DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_REQUIRED` Dauer individuelles Beschäftigungsverbot ist ein Pflichtfeld (Dauer bis absolut wurde nicht ausgewählt).
    `static int` | `ERSTELLT_AB_FORMAT` Das Format von Erstellt ab ist ungültig.
    `static int` | `ERSTELLT_AB_INVALID` Der Wert in Erstellt ab ist ungültig.
    `static int` | `ERSTELLT_BIS_FORMAT` Das Format von Erstellt bis ist ungültig.
    `static int` | `ERSTELLT_BIS_INVALID` Der Wert in Erstellt bis ist ungültig.
    `static int` | `ERSTELLT_BIS_INVALID2` Der Wert in Erstellt bis ist ungültig.
    `static int` | `NEITHER_ECARD_NOR_VSNR` Es wurde weder eine e-card verwendet, noch eine gültige SV-Nummer angegeben.
    `static int` | `NO_ANSPRUCH` Die Patientin hat keinen für MH passenden Anspruch.
    `static int` | `NO_ENTRY_FOR_ID` Es existiert keine Meldung mit der angegebenen Nummer.
    `static int` | `NO_RESULTS` Es wurden keine Ergebnisse gefunden.
    `static int` | `ORT_FORMAT` Das Format von Ort ist ungültig.
    `static int` | `ORT_REQUIRED` Ort ist ein Pflichtfeld.
    `static int` | `POSTLEITZAHL_FORMAT` Das Format von Postleitzahl ist ungültig.
    `static int` | `POSTLEITZAHL_REQUIRED` Postleitzahl ist ein Pflichtfeld.
    `static int` | `STAATENCODE_FORMAT` Das Format von Staatencode ist ungültig.
    `static int` | `STAATENCODE_INVALID` Der Wert in Staatencode ist ungültig.
    `static int` | `STAATENCODE_REQUIRED` Staatencode ist ein Pflichtfeld.
    `static int` | `STRASSE_FORMAT` Das Format von Straße ist ungültig.
    `static int` | `STRASSE_REQUIRED` Straße ist ein Pflichtfeld.
    `static int` | `TOO_LATE_FOR_INDIVIDUELLES_VERBOT` Für die Patientin kann kein individuelles Beschäftigungsverbot eingemeldet werden, weil bereits das absolute Beschäftigungsverbot in Kraft ist.
    `static int` | `TOO_MANY_RESULTS` Es wurden zu viele Ergebnisse gefunden.
    `static int` | `TYP_INVALID` Der Wert in Typ ist ungültig.
    `static int` | `VNSR_UNKNOWN` Die SV-Nummer ist im e-Card System nicht bekannt.
    `static int` | `VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT` Das Format von voraussichtlicher Geburtstermin ist ungültig.
    `static int` | `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID` Der Wert in voraussichtlicher Geburtstermin ist ungültig.
    `static int` | `VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2` Der Wert in voraussichtlicher Geburtstermin ist ungültig.
    `static int` | `VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED` Voraussichtlicher Geburtstermin ist ein Pflichtfeld.
    `static int` | `VORAUSSICHTLICHES_GEBURTSDATUM_AB_FORMAT` Das Format von Voraussichtliches Geburtsdatum ab ist ungültig.
    `static int` | `VORAUSSICHTLICHES_GEBURTSDATUM_AB_INVALID` Der Wert in Voraussichtliches Geburtsdatum ab ist ungültig.
    `static int` | `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_FORMAT` Das Format von Voraussichtliches Geburtsdatum bis ist ungültig.
    `static int` | `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID` Der Wert in Voraussichtliches Geburtsdatum bis ist ungültig.
    `static int` | `VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID2` Der Wert in Voraussichtliches Geburtsdatum bis ist ungültig.
    `static int` | `VORDATIERT_FORBIDDEN` Die Angabe von vordatiert ist nicht erlaubt.
    `static int` | `VSNR_FORMAT` Das Format von SV-Nummer ist ungültig.
    `static int` | `VSNR_INVALID` Der Wert in SV-Nummer ist ungültig.
    `static int` | `ZUSATZBEGRUENDUNG_FORBIDDEN` Die Angabe von Zusatzbegründung ist nicht erlaubt.
    `static int` | `ZUSATZBEGRUENDUNG_FORMAT` Das Format von Zusatzbegründung ist ungültig.
    `static int` | `ZUSATZBEGRUENDUNG_REQUIRED` Zusatzbegründung ist ein Pflichtfeld.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MuhiExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEITHER_ECARD_NOR_VSNR

          public static final int NEITHER_ECARD_NOR_VSNR

      Es wurde weder eine e-card verwendet, noch eine gültige SV-Nummer angegeben. ORCLI-Code: ZS-3300001
      See Also:
        Constant Field Values

    - #### VNSR_UNKNOWN

          public static final int VNSR_UNKNOWN

      Die SV-Nummer ist im e-Card System nicht bekannt. ORCLI-Code: ZS-3300002
      See Also:
        Constant Field Values

    - #### VSNR_FORMAT

          public static final int VSNR_FORMAT

      Das Format von SV-Nummer ist ungültig. ORCLI-Code: ZS-3300023
      See Also:
        Constant Field Values

    - #### VSNR_INVALID

          public static final int VSNR_INVALID

      Der Wert in SV-Nummer ist ungültig. ORCLI-Code: ZS-3300024
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH

          public static final int NO_ANSPRUCH

      Die Patientin hat keinen für MH passenden Anspruch. ORCLI-Code: ZS-3300003
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED

          public static final int VORAUSSICHTLICHER_GEBURTSTERMIN_REQUIRED

      Voraussichtlicher Geburtstermin ist ein Pflichtfeld. ORCLI-Code: ZS-3300011
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT

          public static final int VORAUSSICHTLICHER_GEBURTSTERMIN_FORMAT

      Das Format von voraussichtlicher Geburtstermin ist ungültig. ORCLI-Code: ZS-3300013
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID

          public static final int VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID

      Der Wert in voraussichtlicher Geburtstermin ist ungültig. (Der Wert darf nicht in der Vergangenheit liegen.) ORCLI-Code: ZS-3300014
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2

          public static final int VORAUSSICHTLICHER_GEBURTSTERMIN_INVALID2

      Der Wert in voraussichtlicher Geburtstermin ist ungültig. (Der Wert darf nicht mehr als 40 Wochen in der Zukunft liegen.) ORCLI-Code: ZS-3300015
      See Also:
        Constant Field Values

    - #### ADRESSE_REQUIRED

          public static final int ADRESSE_REQUIRED

      Adresse ist ein Pflichtfeld. ORCLI-Code: ZS-3301011
      See Also:
        Constant Field Values

    - #### STRASSE_REQUIRED

          public static final int STRASSE_REQUIRED

      Straße ist ein Pflichtfeld. ORCLI-Code: ZS-3301101
      See Also:
        Constant Field Values

    - #### STRASSE_FORMAT

          public static final int STRASSE_FORMAT

      Das Format von Straße ist ungültig. ORCLI-Code: ZS-3301103
      See Also:
        Constant Field Values

    - #### ORT_REQUIRED

          public static final int ORT_REQUIRED

      Ort ist ein Pflichtfeld. ORCLI-Code: ZS-3301111
      See Also:
        Constant Field Values

    - #### ORT_FORMAT

          public static final int ORT_FORMAT

      Das Format von Ort ist ungültig. ORCLI-Code: ZS-3301113
      See Also:
        Constant Field Values

    - #### POSTLEITZAHL_REQUIRED

          public static final int POSTLEITZAHL_REQUIRED

      Postleitzahl ist ein Pflichtfeld. ORCLI-Code: ZS-3301121
      See Also:
        Constant Field Values

    - #### POSTLEITZAHL_FORMAT

          public static final int POSTLEITZAHL_FORMAT

      Das Format von Postleitzahl ist ungültig. ORCLI-Code: ZS-3301123
      See Also:
        Constant Field Values

    - #### STAATENCODE_REQUIRED

          public static final int STAATENCODE_REQUIRED

      Staatencode ist ein Pflichtfeld. ORCLI-Code: ZS-3301131
      See Also:
        Constant Field Values

    - #### STAATENCODE_FORMAT

          public static final int STAATENCODE_FORMAT

      Das Format von Staatencode ist ungültig. ORCLI-Code: ZS-3301133
      See Also:
        Constant Field Values

    - #### STAATENCODE_INVALID

          public static final int STAATENCODE_INVALID

      Der Wert in Staatencode ist ungültig. ORCLI-Code: ZS-3301134
      See Also:
        Constant Field Values

    - #### ABS_VERBOT_TOO_EARLY

          public static final int ABS_VERBOT_TOO_EARLY

      Für die Patientin kann derzeit kein absolutes Beschäftigungsverbot eingemeldet werden, weil der voraussichtliche Geburtstermin mehr als 12 Wochen in der Zukunft liegt. ORCLI-Code: ZS-3301201
      See Also:
        Constant Field Values

    - #### VORDATIERT_FORBIDDEN

          public static final int VORDATIERT_FORBIDDEN

      Die Angabe von vordatiert ist nicht erlaubt. (Vordatierung ist nur in der 15. Schwangerschaftswoche und nur für ausgewählte Begründungen möglich.) ORCLI-Code: ZS-3301215
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_VORDATIERUNG_REQUIRED

          public static final int BEGRUENDUNG_VORDATIERUNG_REQUIRED

      Begründung Vordatierung ist ein Pflichtfeld (die Meldung wurde vordatiert). ORCLI-Code: ZS-3301221
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_VORDATIERUNG_FORMAT

          public static final int BEGRUENDUNG_VORDATIERUNG_FORMAT

      Das Format von Begründung Vordatierung ist ungültig. ORCLI-Code: ZS-3301223
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_VORDATIERUNG_FORBIDDEN

          public static final int BEGRUENDUNG_VORDATIERUNG_FORBIDDEN

      Die Angabe von Begründung Vordatierung ist nicht erlaubt (Es liegt keine Vordatierung vor). ORCLI-Code: ZS-3301225
      See Also:
        Constant Field Values

    - #### DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_REQUIRED

          public static final int DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_REQUIRED

      Dauer individuelles Beschäftigungsverbot ist ein Pflichtfeld (Dauer bis absolut wurde nicht ausgewählt). ORCLI-Code: ZS-3301231
      See Also:
        Constant Field Values

    - #### DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_INVALID

          public static final int DAUER_INDIVIDUELLES_BESCHAEFTIGUNGSVERBOT_INVALID

      Der Wert in Dauer individuelles Beschäftigungsverbot ist ungültig (Der Wert muss zwischen 1 und 40 liegen). ORCLI-Code: ZS-3301234
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_REQUIRED

          public static final int BEGRUENDUNG_REQUIRED

      Begründung ist ein Pflichtfeld. ORCLI-Code: ZS-3301251
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_INVALID

          public static final int BEGRUENDUNG_INVALID

      Der Wert in Begründung ist ungültig. ORCLI-Code: ZS-3301254
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_INVALID2

          public static final int BEGRUENDUNG_INVALID2

      Der Wert in Begründung ist ungültig (Der gewählte Wert ist erst ab der 20. Schwangerschaftswoche zulässig.) ORCLI-Code: ZS-3301255
      See Also:
        Constant Field Values

    - #### ZUSATZBEGRUENDUNG_REQUIRED

          public static final int ZUSATZBEGRUENDUNG_REQUIRED

      Zusatzbegründung ist ein Pflichtfeld. (Der voraussichtliche Geburtstermin liegt mehr als 25 Wochen in der Zukunft.) ORCLI-Code: ZS-3301261
      See Also:
        Constant Field Values

    - #### ZUSATZBEGRUENDUNG_FORMAT

          public static final int ZUSATZBEGRUENDUNG_FORMAT

      Das Format von Zusatzbegründung ist ungültig. ORCLI-Code: ZS-3301263
      See Also:
        Constant Field Values

    - #### ZUSATZBEGRUENDUNG_FORBIDDEN

          public static final int ZUSATZBEGRUENDUNG_FORBIDDEN

      Die Angabe von Zusatzbegründung ist nicht erlaubt. (Der Geburtstermin liegt weniger als 25 Wochen in der Zukunft oder die Meldung wurde vordatiert.) ORCLI-Code: ZS-3301265
      See Also:
        Constant Field Values

    - #### ERSTELLT_AB_FORMAT

          public static final int ERSTELLT_AB_FORMAT

      Das Format von Erstellt ab ist ungültig. ORCLI-Code: ZS-3301413
      See Also:
        Constant Field Values

    - #### ERSTELLT_AB_INVALID

          public static final int ERSTELLT_AB_INVALID

      Der Wert in Erstellt ab ist ungültig. (Der Wert darf nicht in der Zukunft liegen.) ORCLI-Code: ZS-3301414
      See Also:
        Constant Field Values

    - #### ERSTELLT_BIS_FORMAT

          public static final int ERSTELLT_BIS_FORMAT

      Das Format von Erstellt bis ist ungültig. ORCLI-Code: ZS-3301423
      See Also:
        Constant Field Values

    - #### ERSTELLT_BIS_INVALID

          public static final int ERSTELLT_BIS_INVALID

      Der Wert in Erstellt bis ist ungültig. (Der Wert darf nicht in der Zukunft liegen.) ORCLI-Code: ZS-3301424
      See Also:
        Constant Field Values

    - #### ERSTELLT_BIS_INVALID2

          public static final int ERSTELLT_BIS_INVALID2

      Der Wert in Erstellt bis ist ungültig. (Der Wert darf nicht vor Erstellt ab liegen.) ORCLI-Code: ZS-3301426
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHES_GEBURTSDATUM_AB_FORMAT

          public static final int VORAUSSICHTLICHES_GEBURTSDATUM_AB_FORMAT

      Das Format von Voraussichtliches Geburtsdatum ab ist ungültig. ORCLI-Code: ZS-3301433
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHES_GEBURTSDATUM_AB_INVALID

          public static final int VORAUSSICHTLICHES_GEBURTSDATUM_AB_INVALID

      Der Wert in Voraussichtliches Geburtsdatum ab ist ungültig. (Der Wert darf nicht mehr als 40 Wochen in der Zukunft liegen.) ORCLI-Code: ZS-3301434
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHES_GEBURTSDATUM_BIS_FORMAT

          public static final int VORAUSSICHTLICHES_GEBURTSDATUM_BIS_FORMAT

      Das Format von Voraussichtliches Geburtsdatum bis ist ungültig. ORCLI-Code: ZS-3301443
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID

          public static final int VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID

      Der Wert in Voraussichtliches Geburtsdatum bis ist ungültig. (Der Wert darf nicht mehr als 40 Wochen in der Zukunft liegen.) ORCLI-Code: ZS-3301444
      See Also:
        Constant Field Values

    - #### VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID2

          public static final int VORAUSSICHTLICHES_GEBURTSDATUM_BIS_INVALID2

      Der Wert in Voraussichtliches Geburtsdatum bis ist ungültig. (Der Wert darf nicht vor Voraussichtliches Geburtsdatum ab liegen.) ORCLI-Code: ZS-3301446
      See Also:
        Constant Field Values

    - #### TYP_INVALID

          public static final int TYP_INVALID

      Der Wert in Typ ist ungültig. ORCLI-Code: ZS-3301454
      See Also:
        Constant Field Values

    - #### ART_INVALID

          public static final int ART_INVALID

      Der Wert in Art ist ungültig. ORCLI-Code: ZS-3301464
      See Also:
        Constant Field Values

    - #### NO_RESULTS

          public static final int NO_RESULTS

      Es wurden keine Ergebnisse gefunden. ORCLI-Code: ZS-3390016
      See Also:
        Constant Field Values

    - #### TOO_MANY_RESULTS

          public static final int TOO_MANY_RESULTS

      Es wurden zu viele Ergebnisse gefunden. Bitte schränken Sie Ihre Suche ein. ORCLI-Code: ZS-3390017
      See Also:
        Constant Field Values

    - #### NO_ENTRY_FOR_ID

          public static final int NO_ENTRY_FOR_ID

      Es existiert keine Meldung mit der angegebenen Nummer. ORCLI-Code: ZS-3390027
      See Also:
        Constant Field Values

    - #### ACCESS_FORBIDDEN

          public static final int ACCESS_FORBIDDEN

      Sie dürfen die angegebene Meldung nicht lesen oder verändern, da sie nicht von Ihnen erstellt wurde. ORCLI-Code: ZS-3390028
      See Also:
        Constant Field Values

    - #### ALREADY_CANCELLED

          public static final int ALREADY_CANCELLED

      Die Meldung kann nicht storniert werden, da sie bereits storniert ist. ORCLI-Code: ZS-3390029
      See Also:
        Constant Field Values

    - #### TOO_LATE_FOR_INDIVIDUELLES_VERBOT

          public static final int TOO_LATE_FOR_INDIVIDUELLES_VERBOT

      Für die Patientin kann kein individuelles Beschäftigungsverbot eingemeldet werden, weil bereits das absolute Beschäftigungsverbot in Kraft ist. ORCLI-Code: ZS-3301210
      See Also:
        Constant Field Values

    - #### BEGRUENDUNG_INVALID_FOR_VORDATIERUNG

          public static final int BEGRUENDUNG_INVALID_FOR_VORDATIERUNG

      Der Wert in Begründung ist ungültig (Der gewählte Wert ist bei Vordatierung nicht zulässig). ORCLI-Code: ZS-3301256
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MuhiExceptionConstants

          public MuhiExceptionConstants()